Favorit SMS
Authorizations
Query parameters
allbooleanOptional
Get all items without pagination
searchstringOptional
Search term for filtering items
per_pageintegerOptional
Number of items per page (default: 15)
pageintegerOptional
Page number
Responses
200
Successful operation
application/json
dataobject[]Optional
get
/api/workspaces/{workspaceId}/sms/messages/favorites200
Successful operation
Authorizations
Body
textstring · max: 1024RequiredExample:
This is a favorite SMS messageResponses
200
Successful operation
application/json
successbooleanOptionalExample:
truemessagestringOptionalExample:
favorit_sms400
Bad request
application/json
401
Unauthenticated
post
/api/workspaces/{workspaceId}/sms/messages/favoritesAuthorizations
Path parameters
idinteger · int64Required
ID of the favorite SMS to retrieve
Responses
200
Successful operation
application/json
successbooleanOptionalExample:
truemessagestringOptionalExample:
favorit_sms401
Unauthenticated
404
Favorite SMS not found
application/json
get
/api/workspaces/{workspaceId}/sms/messages/favorites/{id}Authorizations
Path parameters
idintegerRequired
ID of the favorite SMS to update
Body
textstring · max: 1024Optional
Responses
200
Successful operation
application/json
successbooleanOptionalExample:
truemessagestringOptionalExample:
favorit_sms400
Bad request
application/json
401
Unauthenticated
404
Not Found
application/json
put
/api/workspaces/{workspaceId}/sms/messages/favorites/{id}Authorizations
Path parameters
idintegerRequired
ID of the favorite SMS to delete
Responses
200
Successful operation
application/json
successbooleanOptionalExample:
truemessagestringOptionalExample:
Favorite SMS deleted successfully401
Unauthenticated
404
Not Found
application/json
delete
/api/workspaces/{workspaceId}/sms/messages/favorites/{id}Authorizations
Body
idsinteger[]Required
Array of favorite SMS IDs to delete
Responses
200
Successful operation
application/json
successbooleanOptionalExample:
truemessagestringOptionalExample:
Selected favorite SMS messages deleted successfully400
Bad request
application/json
401
Unauthenticated
delete
/api/workspaces/{workspaceId}/sms/messages/favorites/bulk-deleteLast updated